<?php
class proyectos
{
	function get(){
		$sql = "SELECT * FROM fdepartamento where t1='ACTIVO'";
		global $cnx;
		return $cnx->query($sql);
	}
        function setproy_tosal($proy,$pedido){
              $sql="INSERT INTO dgrequie (tip_ven, folio_control, fec_ven,  acc_fec, acc_hor, usuario) VALUES "
                      . "('$proy','$pedido','".date('Y-m-d')."', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."')";
		global $cnx;
                return $cnx->query($sql);
      	}
        function getUltimoproy()
	{
		$sql = "SELECT LAST_INSERT_ID() as ultimo";
		global $cnx;
		return $cnx->query($sql);
	}
          public function registroProyecto($datodController) {
        $descripcion = strtoupper($datodController["descripcion"]);
        $calle = strtoupper($datodController["calle"]);
        $numero = $datodController["numero"];
        $colonia = strtoupper($datodController["colonia"]);
        $estado = strtoupper($datodController["estado"]);
        $cp = $datodController["cp"];
        $sql = "insert into fdepartamento ( np_desc1, ubicacion, acc_fec, acc_hor, t1, sub, calle, numero, colonia, estado, cp, usuario) values ( '$descripcion', 'V', '" . date('Y-m-d') . "', '" . date('H:i:s') . "', 'ACTIVO', 'SI', '$calle', '$numero', '$colonia', '$estado', '$cp', '".$_SESSION['num_usu']."')";
        global $cnx;
        $respuesta = $cnx->query($sql);
        if ($respuesta) { 
            return "Proyecto guardado";
        } else {
            return  $cnx->error;
        }
        
        $cnx->close();
          
    }
	
}
